var scriptName = "SpeedUniHop";
var scriptAuthor = "LaVacheMilka";
var scriptVersion = 0.1;

function BHopModule() {

    this.getName = function() {
        return "SpeedUniHop";
    }

    this.getDescription = function() {
        return "Bhop For unicraft.";
    }

    this.getCategory = function() {
        return "Movement";
    }

    this.onEnable = function() {
        mc.timer.timerSpeed = 1.35;
        mc.thePlayer.setSprinting(true);
    }

    this.onUpdate = function() {
        if (mc.thePlayer.onGround) {
            mc.thePlayer.jump();
        } 

        mc.thePlayer.motionX *= 0.315;
        mc.thePlayer.motionZ *= 0.315;
        mc.thePlayer.speedInAir = 0.025;
        mc.thePlayer.jumpMovementFactor *= 7.0;
    }

    this.onDisable = function() {
        mc.timer.timerSpeed = 1;
        mc.thePlayer.speedInAir = 0.02;
    }
}

var bhopModule = new BHopModule();
var bhopModuleClient;

function onEnable() {
    bhopModuleClient = moduleManager.registerModule(bhopModule);
}

function onDisable() {
    moduleManager.unregisterModule(bhopModuleClient);
}